from _typeshed import Incomplete
from typing import Any, Iterable, Optional, Sequence, Union

TRUE_BOOLEANS: Incomplete
FALSE_BOOLEANS: Incomplete
ASCIIFILTER: Incomplete

def hexdump(
    data: Union[bytes, bytearray, Iterable[int]],
    full: bool = ...,
    abbreviate: bool = ...,
) -> str: ...
def hexline(data: Union[bytes, bytearray, Iterable[int]], sep: str = ...) -> str: ...
def to_int(value: Union[int, str]) -> int: ...
def to_bool(
    value: Union[int, bool, str], permissive: bool = ..., allow_int: bool = ...
) -> bool: ...
def to_bps(value: str) -> int: ...
def xor(_a_: bool, _b_: bool) -> bool: ...
def is_iterable(obj: Any) -> bool: ...
def pretty_size(
    size,
    sep: str = ...,
    lim_k: int = ...,
    lim_m: int = ...,
    plural: bool = ...,
    floor: bool = ...,
) -> str: ...
def add_custom_devices(
    ftdicls: Incomplete | None = ...,
    vpstr: Optional[Sequence[str]] = ...,
    force_hex: bool = ...,
) -> None: ...
def show_call_stack() -> None: ...

class classproperty(property):
    def __get__(self, obj: Any, objtype: Incomplete | None = ...) -> Any: ...
